<template>
  <component
    :is="whichHeader"
    :key="'header-' + whichHeader"
    v-bind="$props"
  />
</template>

<script>
import HeaderDesktop from 'src/components/layouts/header/HeaderDesktop'
import HeaderMobile from 'src/components/layouts/header/HeaderMobile'
import { PlatformMixin } from 'src/mixins/PlatformMixin'

export default {
  name: 'Header',
  components: {
    HeaderDesktop,
    HeaderMobile
  },
  mixins: [
    PlatformMixin
  ],
  props: {
    backButton: {
      type: Boolean,
      default: false
    },
    fastplatformLogo: {
      type: Boolean,
      required: false,
      default: false
    },
    mediaLogo: {
      type: String,
      required: false,
      default: null
    },
    title: {
      type: String,
      default: ''
    },
    badgeContent: {
      type: String,
      default: ''
    }
  },
  computed: {
    whichHeader () {
      return this.isDesktopPlatform ? 'HeaderDesktop' : 'HeaderMobile'
    }
  }
}
</script>
